Subject: Need help reviewing "module" info b4 I continue...

From: llucius <[email-masked]>
Date: Wed, 10 Jul 1996 07:37:19 -0500 (CDT)

As part of the m68k infitration (B-)) into the Debian world, we must add
all of the Linux/68k specific modules to the "modconf" package.  To this
end, I went through the kernel source and attempted to identify all of the
mods and the "insmod" arguments that each one supports.

Below you will find what I've come up with and was wondering if some of you
folks could take a quick look to see if I've missed anything or make 
recommendations for better descriptions and the like.

Thanks, 

Leland

Here's the list of modules:

  MODULE NAME   DESCRIPTION
  ------------- -----------------------------------
  a2065		Amiga A2065 Ethernet driver.
  a2091		Amiga A2091 SCSI driver.
  a3000		Amiga 3000 SCSI driver.
  acsi_slm	Atari SLM laser printer.
  affs		Amiga Fast File System.
  amiflop	Amiga floppy disk driver.
  amiga_ser	Amiga serial driver.
  amigamouse	Amiga mouse driver.
  ariadne	Amiga Ariadne Ethernet driver.
  ataflop	Atari floppy disk drive.
  atari_MFPser	Atari MFP serial ports.
  atari_MIDI	Atari MIDI driver.
  atari_SCC	Atari SCC serial driver.
  atari_bionet	Atari BioNet-100 Ethernet device driver.
  atarilance	Atari VME Lance card Ethernet driver.
  atarimouse	Atari mouse driver.
  hydra		Hydra Amiganet driver.
  m68kserial	Mid-level serial driver for m68k architectures.
  ser_mfc	Amiga Multiface III serial driver.
  wd33c93	Western Digital 33c93 SCSI driver.
  		(Required by A3000 and A2091 drivers)
  z2ram		Amiga Zorro II/Chipram ramdisk.

And here is a list of the arguments that each module supports:

Description: a2065
 a2065_debug=1               Controls message level
                             0 = Silent, print only serious messages
                             1 = Normal, print error messages
                             2+= debug, print debug info
Description: amiflop
 fd_def_df0=0                Drive type of df0: if it fails to identify
                             Valid values are:
                             0xffffffff  -  double density 3.5" (880K)
                             0x55555555  -  high density 3.5" (1760K)
                             0xaaaaaaaa  -  double densith 5.25" (440K)
Description: ariadne
 ariadne_debug=1             Controls message level
                             0 = Silent, print only serious messages
                             1 = Normal, print error messages
                             2+= debug, print debug info
Description: atari_bionet
 bionet_debug=0              Controls message level
                             0 = Normal
                             1 = Verification
                             2+= Debug
 bionet_min_poll_time=2      Number of "jiffies" between polls
                             Must be between 1 and 10
Description: atari_pamsnet
 pamsnet_debug=0             Controls message level
                             0 = Normal
                             1 = Verification
                             2+= Debug
 pamsnet_min_poll_time=2     Number of "jiffies" between polls
                             Must be between 1 and 10
Description: atarilance
 lance_debug=1               Controls message level
                             0 = Silent, print only serious messages
                             1 = Normal, print error messages
                             2 = debug, print debug info
                             3 = debug, print more debug info (packet data)
Description: atarimouse
 atari_mouse_x_threshold=2   X threshold
 atari_mouse_y_threshold=2   Y threshold (defaults to X if not specified)
                             Both values must be between 1 through 20.
Description: wd33c93
 setup_strings=      Define operating parameters and settings
     nosync:bitmask -bitmask is a byte where the 1st 7 bits correspond
                     with the 7 possible SCSI devices. Set a bit to
                     prevent sync negotiation on that device.
     period:ns      -ns is the minimum # of nanoseconds in a SCSI data
                     transfer period. Default is 500; acceptable values
                     are 250 - 1000.
     disconnect:x   -x = 0 to never allow disconnects.
                     x = 1 does 'adaptive' disconnects, which is the 
                           default and generally the best choice.
                     x = 2 to always allow disconnects.
     debug:x        -If 'DEBUGGING_ON' is defined, x is a bit mask that
                     causes various types of debug output to printed.
     clock:x        -x = clock input in MHz for WD33c93 chip. Normal
                     values would be from 8 through 20. Default is 8.
     next           -No argument. Used to separate blocks of keywords when
                     there's more than one host adapter in the system.